//
// C++ Implementation: cwortbuch
//
// Description:
//
//
// Author: Heinz Schumann <kontakt@heinz-schumann.de>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "cwortbuch.h"
#include "string"

CWortBuch::CWortBuch()
{
  wrtbuch="";
}


CWortBuch::~CWortBuch()
{}

int CWortBuch::findWort(string wo)
{
  int status;
  int lngsuw;
  int wrt;

  rewind(dat);
  lngsuw=wo.size();
  wrt=0;

  while(wrt!=1)
  {
    wrt = nextWort();
    if(wrt==1) return 3;             //Wortbuchende erreicht

    if(heb)
    {
      status = strwrb.hebwrb.compare(wo);
      if(status==0) return 0;            // Wort gefunden
      status = strwrb.hebwrb.compare(0,lngsuw,wo);
      if(status==0) return 1;
      if(status > 0) return 2;
    }
    else
    {
      status = strwrb.deuwrb.compare(wo);
      if(status==0) return 0;            // Wort gefunden
      status = strwrb.deuwrb.compare(0,lngsuw,wo);
      if(status==0) return 1;
      if(status > 0) return 2;
    }
  }
  return 3;
}

int CWortBuch::nextWort()
{
  char c;
  bool h;
  int i;
  
  c=0;
  i=0;
  h=false;
  strwrb.deuwrb="";
  strwrb.hebwrb="";
  while(!feof(dat))
  {
    c=fgetc(dat);
    if(c!=9 && c!=10)
    {
      i++;
      if(h) strwrb.hebwrb+=c;
      else  strwrb.deuwrb+=c;
    }

    if(c==9)
    {
      h=true;
      strwrb.lndeuwrt=i;
      i=0;
    }
    if(c==10)
    {
      strwrb.lnhebwrt=i;
      return 0;
    }
  }
  return 1;
}

int CWortBuch::openWortBuch(string v, string datei, bool sp)
{
  string verz;

  lbuch_verz=v;
  wrtbuch=datei;
  verz=v;
  verz.append("lex/"+datei);
  dat=fopen(verz.c_str(),"r");
  if(dat==NULL) return 15;
  if(fseek(dat,0,2)) return 15;
  lexbuchlng=ftell(dat);           // Dateilaenge
  rewind(dat);
  heb=sp;
  return 0;
}

