//
// C++ Implementation: kernloop
//
// Description:
//
//
// Author: Hans-Juergen <hans@bitana.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include "kernprogress.h"


/*
 *  Constructs a Form1 as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KernProgress::KernProgress()
{
}


/*
 *  Destroys the object and frees any allocated resources
 */
KernProgress::~KernProgress()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */

void KernProgress::progressStart(string t)

{

#ifdef QTBITANA
		
extern QtBitanaApp *qtbitana;
    qtbitana->startProgressBar(t);


#endif

}


bool KernProgress::progressSchritt(int i)
{
bool weiter=true;

#ifdef QTBITANA

extern QtBitanaApp *qtbitana;
    weiter = qtbitana->slotProgressStep(i);

#endif

    return weiter;

}

void KernProgress::progressStop()
{

#ifdef QTBITANA

extern QtBitanaApp *qtbitana;
    qtbitana->stopProgressBar();

#endif

}
