//
// C++ Interface: kernloop
//
// Description:
//
//
// Author: Hans-Juergen <hans@bitana.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef KERNPROGRESS_H
#define KERNPROGRESS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// wenn ohne Progressbar (z.B. kerntest)
// folgende Definition auskommentieren
#define QTBITANA


#ifdef QTBITANA
#include "../../qtbitana/qtbitana.h"
#endif



#include <string>
using namespace std;

class KernProgress
{

public:
    KernProgress();
    ~KernProgress();
	void progressStart(string text);
	bool progressSchritt(int i);
	void progressStop();

private:
    bool weiter;

};

#endif // KERNFORTSCHRITT_H


