/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Don Aug  8 22:46:53 CEST 2002
    copyright            : (C) 2002 by Heinz & Hans-Jrgen Schumann
    email                : heinz@bitana.de; hans@bitana.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

//#include <qsize.h>

#include "qtbitana.h"

QtBitanaApp *qtbitana;

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    //  a.setFont(QFont("helvetica", 11));
    QTranslator tor( 0 );
    // set the location where your .qm files are in load() below as the last parameter instead of "."
    // for development, use "/" to use the english original as
    // .qm files are stored in the base project directory.
    tor.load( QString("qtbitana_") + QTextCodec::locale(), "." );
    a.installTranslator( &tor );
    /* uncomment the following line, if you want a Windows 95 look*/
    // a.setStyle(WindowsStyle);

    // 1. Argument = Config - file (default= bitana.cfg) in commandline
    QString cf = "bitana.cfg";   //"bitana.ini";
    if (argc == 2)
        cf = argv[1];

    qtbitana=new QtBitanaApp(cf);
    if (qtbitana->noconfig)  return false;
	
    a.setMainWidget(qtbitana);

    //  QSize s = qtbitana->sizeHint();
    qtbitana->resize(900, 600);
    qtbitana->show();
    return a.exec();
}


