/***************************************************************************
                          cbtaconvert.h  -  description
                             -------------------
    begin                : Sat Jun 1 2002
    copyright            : (C) 2002 by Heinz & Hans-Jrgen Schumann
    email                : heinz@bitana.de; hans@bitana.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CBTACONVERT_H
#define CBTACONVERT_H

#include <string>

using namespace std;

/**Konvertierung der *bta - Dateien,
welche der kern erzeugt
  *@author Heinz & Hans-Jrgen Schumann
  */

class CbtaConvert
{
public:
    CbtaConvert();
    ~CbtaConvert();
    /** Konvertierung nach LaTex */
    bool bta2tex(string input, string output);
    /** Konvertierung nach HTML */
    bool bta2html(string input, string output);
};

#endif
