# Diese Datei wurde mit dem qmake-Manager von KDevelop erstellt. 
# ------------------------------------------- 
# Unterverzeichnis relativ zum Projektverzeichnis: ./qtbitana
# Das Target ist eine Anwendung:  qtbitana

TRANSLATIONS = qtbitana_de.ts 

FORMS += bdoclstren.ui \
         bpathdlg.ui \
         qtbitanamod.ui \
	 qtwrtbdlg.ui
IMAGES += contents.xpm \
          filenew.xpm \
          fileopen.xpm \
          file_properties.xpm \
          filesave.xpm \
          forward.xpm \
          lo16-app-qtbitana.png \
          lo32-app-qtbitana.png \
          openbook.xpm \
          redo.xpm \
          undo.xpm \
          viewtree.xpm 
HEADERS += bdoclst.h \
           bhebinp.h \
           bibtext.h \
           btextmatrix.h \
           qtbitanadoc.h \
           qtbitana.h \
           qtbitanaview.h \
           cbtaconvert.h \
           ../kern/kernlib/cbibbasis.h \
           ../kern/kernlib/cbibeltext.h \
           ../kern/kernlib/cbibgematria.h \
           ../kern/kernlib/cbitanaconfig.h \
           ../kern/kernlib/cbuchheb.h \
           ../kern/kernlib/cbuchindex.h \
           ../kern/kernlib/cintervall.h \
           ../kern/kernlib/ckerninterface.h \
           ../kern/kernlib/cmatrix.h \
           ../kern/kernlib/cnachbar.h \
           ../kern/kernlib/cnbrlisten.h \
           ../kern/kernlib/cwortbuch.h \
	   ../kern/kernprogress/kernprogress.h 
SOURCES += bdoclst.cpp \
           bhebinp.cpp \
           bibtext.cpp \
           btextmatrix.cpp \
           main.cpp \
           qtbitana.cpp \
           qtbitanadoc.cpp \
           qtbitanaview.cpp \
           cbtaconvert.cpp \
           ../kern/kernlib/cbibbasis.cpp \
           ../kern/kernlib/cbibeltext.cpp \
           ../kern/kernlib/cbibgematria.cpp \
           ../kern/kernlib/cbitanaconfig.cpp \
           ../kern/kernlib/cbuchheb.cpp \
           ../kern/kernlib/cbuchindex.cpp \
           ../kern/kernlib/cintervall.cpp \
           ../kern/kernlib/ckerninterface.cpp \
           ../kern/kernlib/cmatrix.cpp \
           ../kern/kernlib/cnachbar.cpp \
           ../kern/kernlib/cnbrlisten.cpp \
           ../kern/kernlib/cwortbuch.cpp \
	   ../kern/kernprogress/kernprogress.cpp 
qtbitanamod.ui.target = qtbitanamod.ui 
qtbitanamod.ui.commands = $$IDL_COMPILER 

bpathdlg.ui.target = bpathdlg.ui 
bpathdlg.ui.commands = $$IDL_COMPILER 

bdoclstren.ui.target = bdoclstren.ui 
bdoclstren.ui.commands = $$IDL_COMPILER 

qtwrtbdlg.ui.target = qtwrtbdlg.ui 
qtwrtbdlg.ui.commands = $$IDL_COMPILER 

INCLUDEPATH += ../kern/kernlib \
               ../kern/kernprogress 
TARGET = ../../bin/qtbitana 
CONFIG += debug \
          warn_on \
          qt 
TEMPLATE = app
